Package org.optaplanner.core.impl.score.stream.drools.common.consequences

## Interface ConstraintConsequence<Node_ extends ConstraintGraphNode>

- All Known Subinterfaces:
    `BiConstraintConsequence`, `QuadConstraintConsequence`, `TriConstraintConsequence`, `UniConstraintConsequence`

      public interface ConstraintConsequence<Node_ extends ConstraintGraphNode>

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BiConstraintConsequence` | `create​(BiConstraintGraphNode terminalNode)` |
    `static <A,​B> BiConstraintConsequence` | `create​(BiConstraintGraphNode terminalNode, BiFunction<A,​B,​BigDecimal> matchWeighter)` |
    `static <A,​B> BiConstraintConsequence` | `create​(BiConstraintGraphNode terminalNode, ToIntBiFunction<A,​B> matchWeighter)` |
    `static <A,​B> BiConstraintConsequence` | `create​(BiConstraintGraphNode terminalNode, ToLongBiFunction<A,​B> matchWeighter)` |
    `static QuadConstraintConsequence` | `create​(QuadConstraintGraphNode terminalNode)` |
    `static <A,​B,​C,​D> QuadConstraintConsequence` | `create​(QuadConstraintGraphNode terminalNode, QuadFunction<A,​B,​C,​D,​BigDecimal> matchWeighter)` |
    `static <A,​B,​C,​D> QuadConstraintConsequence` | `create​(QuadConstraintGraphNode terminalNode, ToIntQuadFunction<A,​B,​C,​D> matchWeighter)` |
    `static <A,​B,​C,​D> QuadConstraintConsequence` | `create​(QuadConstraintGraphNode terminalNode, ToLongQuadFunction<A,​B,​C,​D> matchWeighter)` |
    `static TriConstraintConsequence` | `create​(TriConstraintGraphNode terminalNode)` |
    `static <A,​B,​C> TriConstraintConsequence` | `create​(TriConstraintGraphNode terminalNode, ToIntTriFunction<A,​B,​C> matchWeighter)` |
    `static <A,​B,​C> TriConstraintConsequence` | `create​(TriConstraintGraphNode terminalNode, ToLongTriFunction<A,​B,​C> matchWeighter)` |
    `static <A,​B,​C> TriConstraintConsequence` | `create​(TriConstraintGraphNode terminalNode, TriFunction<A,​B,​C,​BigDecimal> matchWeighter)` |
    `static UniConstraintConsequence` | `create​(UniConstraintGraphNode terminalNode)` |
    `static <A> UniConstraintConsequence` | `create​(UniConstraintGraphNode terminalNode, Function<A,​BigDecimal> matchWeighter)` |
    `static <A> UniConstraintConsequence` | `create​(UniConstraintGraphNode terminalNode, ToIntFunction<A> matchWeighter)` |
    `static <A> UniConstraintConsequence` | `create​(UniConstraintGraphNode terminalNode, ToLongFunction<A> matchWeighter)` |
    `ConsequenceMatchWeightType` | `getMatchWeightType()` | The numeric type of the match weight that score will be impacted with.
    `Node_` | `getTerminalNode()` | The node on which the consequence will be applied.

- - ### Method Detail

    - #### create

          static UniConstraintConsequence create​(UniConstraintGraphNode terminalNode)

    - #### create

          static <A> UniConstraintConsequence create​(UniConstraintGraphNode terminalNode,
                                                     ToIntFunction<A> matchWeighter)

    - #### create

          static <A> UniConstraintConsequence create​(UniConstraintGraphNode terminalNode,
                                                     ToLongFunction<A> matchWeighter)

    - #### create

          static <A> UniConstraintConsequence create​(UniConstraintGraphNode terminalNode,
                                                     Function<A,​BigDecimal> matchWeighter)

    - #### create

          static BiConstraintConsequence create​(BiConstraintGraphNode terminalNode)

    - #### create

          static <A,​B> BiConstraintConsequence create​(BiConstraintGraphNode terminalNode,
                                                            ToIntBiFunction<A,​B> matchWeighter)

    - #### create

          static <A,​B> BiConstraintConsequence create​(BiConstraintGraphNode terminalNode,
                                                            ToLongBiFunction<A,​B> matchWeighter)

    - #### create

          static <A,​B> BiConstraintConsequence create​(BiConstraintGraphNode terminalNode,
                                                            BiFunction<A,​B,​BigDecimal> matchWeighter)

    - #### create

          static TriConstraintConsequence create​(TriConstraintGraphNode terminalNode)

    - #### create

          static <A,​B,​C> TriConstraintConsequence create​(TriConstraintGraphNode terminalNode,
                                                                     ToIntTriFunction<A,​B,​C> matchWeighter)

    - #### create

          static <A,​B,​C> TriConstraintConsequence create​(TriConstraintGraphNode terminalNode,
                                                                     ToLongTriFunction<A,​B,​C> matchWeighter)

    - #### create

          static <A,​B,​C> TriConstraintConsequence create​(TriConstraintGraphNode terminalNode,
                                                                     TriFunction<A,​B,​C,​BigDecimal> matchWeighter)

    - #### create

          static QuadConstraintConsequence create​(QuadConstraintGraphNode terminalNode)

    - #### create

          static <A,​B,​C,​D> QuadConstraintConsequence create​(QuadConstraintGraphNode terminalNode,
                                                                              ToIntQuadFunction<A,​B,​C,​D> matchWeighter)

    - #### create

          static <A,​B,​C,​D> QuadConstraintConsequence create​(QuadConstraintGraphNode terminalNode,
                                                                              ToLongQuadFunction<A,​B,​C,​D> matchWeighter)

    - #### create

          static <A,​B,​C,​D> QuadConstraintConsequence create​(QuadConstraintGraphNode terminalNode,
                                                                              QuadFunction<A,​B,​C,​D,​BigDecimal> matchWeighter)

    - #### getTerminalNode

          Node_ getTerminalNode()

      The node on which the consequence will be applied.
      Returns:
        never null

    - #### getMatchWeightType

          ConsequenceMatchWeightType getMatchWeightType()

      The numeric type of the match weight that score will be impacted with. See Javadoc for extending interfaces for more.
      Returns:
        never null